package com.njcn.csharmonic.service;

import com.njcn.csdevice.pojo.vo.DataArrayTreeVO;
import com.njcn.csharmonic.pojo.vo.CsRtDataVO;

import java.util.List;

/**
 * @author xuyang
 */
public interface ILineTargetService {

    /**
     * 根据监测点Id获取对应指标
     * @param lineId
     * @return
     */
    List<DataArrayTreeVO> getLineTarget(String lineId);

    /**
     * 获取绑定指标的数据
     * @param id
     */
    List<CsRtDataVO> getLineData(String id);

    /**
     * 获取绑定指标的数据
     * @param id
     */
    List<CsRtDataVO> getLineDataNew(String id);
}
